Skip to main content
GET
/
accounts
/
{aid}
/
shopping
/
orders
/
{order_id}
/
cancellations
/
{cancellation_id}
Get Cancellation details
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/cancellations/{cancellation_id} \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "amount": 27840,
      "line_id": 123,
      "payout": {
        "rule_id": "<string>",
        "rule_type": "<string>",
        "destinations": [
          {
            "destination": "<string>",
            "amount": 123
          }
        ]
      }
    }
  ],
  "processed_at": "2023-11-07T05:31:56Z",
  "processed_by": "dintero-checkout",
  "payment_details": {
    "psp": "Bambora",
    "payment_id": "<string>",
    "payment_product": "bambora",
    "payment_product_type": "bambora.creditcard",
    "card": {
      "masked_pan": "4444 **** **** 4448",
      "type": "Credit",
      "brand": "Visa",
      "metadata": {}
    }
  },
  "metadata": {},
  "id": "bd04c959-d159-49b4-a096-2d84e014a8da",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "bd04c959-d159-49b4-a096-2d84e014a8da",
  "amount": 27840,
  "success": true,
  "_links": [
    {
      "href": "<string>",
      "rel": "draft"
    }
  ],
  "authorization_id": "bd04c959-d159-49b4-a096-2d84e014a8da"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
order_id
string
required

The resource identifier string

cancellation_id
string<uuid>
required

The resource identifier string

Response

cancellation

items
object[]
required

Selected items from the order

processed_at
string<date-time>

The date and time when the payment operation was processed by payment gateway

processed_by
string

The gateway the processed the payment operation

Example:

"dintero-checkout"

payment_details
object
metadata
object

Additional details about the operation

id
string

The resource ID. Defaults to UUID v4

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string

The ID of the user/client created the resource

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"

amount
integer
read-only

Total monetary amount for the operation in smallest unit for the currency

Example:

27840

success
boolean

The result from the operation.

The links related to resource

authorization_id
string

The authorization for this operation. Only included if the order was created with multiple_authorizations option enabled

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"